libgsecuredelete-dev_0.2.1-2_amd64.deb


Advertisement

Description

libgsecuredelete-dev - wrapper library for the secure-delete tools - development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgsecuredelete-dev
Package version 0.2.1
Package release 2
Package architecture amd64
Package type deb
Installed size 135 B
Download size 25.72 KB
Official Mirror ftp.br.debian.org
GSecureDelete is a GObject wrapper library for the secure-delete tools
(srm, sfill, sswap and smem), aiming to ease use of these tool from programs
by providing a simple but complete API to invoke them.
This package provides the necessary development libraries and include
files to develop and compile programs that use GSecureDelete.

Alternatives

Package Version Architecture Repository
libgsecuredelete-dev_0.2.1-2_i386.deb 0.2.1 i386 Debian Main
libgsecuredelete-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -
libglib2.0-dev -
libgsecuredelete0 = 0.2.1-2

Download

Type URL
Binary Package libgsecuredelete-dev_0.2.1-2_amd64.deb
Source Package libgsecuredelete

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgsecuredelete-dev deb package:
    # sudo apt-get install libgsecuredelete-dev

Files

Path
/usr/include/gsecuredelete/gsecuredelete.h
/usr/include/gsecuredelete/gsecuredelete.vapi
/usr/lib/libgsecuredelete.a
/usr/lib/libgsecuredelete.so
/usr/lib/pkgconfig/gsecuredelete.pc
/usr/share/doc/libgsecuredelete-dev/AUTHORS
/usr/share/doc/libgsecuredelete-dev/HACKING
/usr/share/doc/libgsecuredelete-dev/NEWS.gz
/usr/share/doc/libgsecuredelete-dev/README
/usr/share/doc/libgsecuredelete-dev/TODO
/usr/share/doc/libgsecuredelete-dev/changelog.Debian.gz
/usr/share/doc/libgsecuredelete-dev/copyright
/usr/share/lintian/overrides/libgsecuredelete-dev

Changelog

2014-08-29 - intrigeri <intrigeri@debian.org>
libgsecuredelete (0.2.1-2) unstable; urgency=medium
* Add Recommends from libgsecuredelete0 on policykit-1: pkexec is needed
for the fill operation to obtain root privileges on non-FAT FS.
* Move upstream signing key to the place uscan now looks for it.
* Ship armored upstream OpenPGP key instead of binary one,
accordingly drop debian/source/include-binaries.
* Disable automake silent rules.
2014-01-24 - intrigeri <intrigeri@debian.org>
libgsecuredelete (0.2.1-1) unstable; urgency=medium
* Imported Upstream version 0.2.1
* Invoke dh_install with --fail-missing, and explicitly exclude .la files.
* Use dh-autoreconf to get new libtool macros for ppc64el.
Thanks to Logan Rosen <logan@ubuntu.com> for the patch.
* Drop override for buggy Lintian warning that was fixed since then.
* Reformat debian/control with cme.
* Declare compliance with standards 3.9.5.
* Add OpenPGP signature checking support to debian/watch.
* Use canonical URL for Vcs-Git.
* Make libgsecuredelete-dev depend on a real package first,
that is libc6-dev | libc-dev.
2012-06-19 - intrigeri <intrigeri@debian.org>
libgsecuredelete (0.2-1) unstable; urgency=high
* New upstream release. Major changes are:
- Workaround sfill limitations regarding secure deletion
of free space larger than the maximum file size supported
by the filesystem. (Closes: #678208)
- Fix delete operation progress.
* Update specification URL in debian/copyright.
* Bump Standards-Version to 3.9.3, no change required.
* Setting priority to high to get the fix of secure deletion of
free space (that is particularly problematic on FAT, due to its
4GB file size limit) in sooner.
* Install gsd-sfill-helper in /usr/lib/libgsecuredelete0/libexec/.
* Add copyright information for gsd-sfill-helper.
2012-01-22 - intrigeri <intrigeri@debian.org>
libgsecuredelete (0.1-3) unstable; urgency=low
* Use dpkg-buildflags instead of hardening-wrapper.
* Set my email address to my shiny new @debian.org one.
2011-10-30 - intrigeri <intrigeri+debian@boum.org>
libgsecuredelete (0.1-2) unstable; urgency=low
* Initial release. (Closes: #636041)
* Update Vcs-* control fields: packaging repo was moved to collab-maint.
* Fix my name.
* Add explicit dependency from the -dev package on libc-dev.
* Add Lintian overrides for false positives.

See Also

Package Description
libgsecuredelete0_0.2.1-2_amd64.deb wrapper library for the secure-delete tools
libgsf-1-114_1.14.30-2_amd64.deb Structured File Library - runtime version
libgsf-1-common_1.14.30-2_all.deb Structured File Library - common files
libgsf-1-dev_1.14.30-2_amd64.deb Structured File Library - development files
libgsf-bin_1.14.30-2_amd64.deb Structured File Library - programs
libgsl0-dev_1.16+dfsg-2_amd64.deb GNU Scientific Library (GSL) -- development package
libgsl0ldbl_1.16+dfsg-2_amd64.deb GNU Scientific Library (GSL) -- library package
libgsm-tools_1.0.13-4_amd64.deb User binaries for a GSM speech compressor
libgsm0710-0_1.2.2-5_amd64.deb Implementation of the 3GPP GSM 07.10 multiplexing protocol
libgsm0710-dev_1.2.2-5_amd64.deb development files for use with libgsm0710
libgsm0710mux3_0.12.0-5_amd64.deb Library for implementing GSM 07.10 multiplexing servers
libgsm1-dev_1.0.13-4_amd64.deb Development libraries for a GSM speech compressor
libgsm1_1.0.13-4_amd64.deb Shared libraries for GSM speech compressor
libgsmme-dev_1.10+20120414.gita5e5ae9a-0.2_amd64.deb Header files and static libraries for gsmlib
libgsmme1c2a_1.10+20120414.gita5e5ae9a-0.2_amd64.deb GSM mobile phone access library
Advertisement
Advertisement